#include "IME28.h"

IME28::IME28(HmiApp* app, STTWidget *par, const string& id, const string& desc) : STTPage(app->getRuntime(), par, id, desc) {
	hmiApp = app;
}

IME28::~IME28() {
}

void IME28::onInit() {

}

void IME28::createParts() {
	setMainArg(0, 0, 480, 272);
	setMainStyle(0, 0xffffff, 0xffffff, 0, 255, 0, 0xc0c0c0, "./images/img1763337504_480X272R0.jpg");

	/*----------------------------- MButton : wMMButton43                -----------------------------*/
	wMMButton43 = new STTButton(p_rt, this, "wMMButton43", 1);
	wMMButton43->setMainArg(57, 84, 40, 56, false);
	wMMButton43->enStateLabel();
	wMMButton43->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton43->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton43->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton43->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton43->setImg("1", "./images/img17635440133840_40X56R0.png", "w");
	wMMButton43->setImg("0", "", "w");

	/*----------------------------- TextArea : wMTextArea6               -----------------------------*/
	wMTextArea6 = new STTTextArea(p_rt, this, "wMTextArea6");
	wMTextArea6->setMainArg(10, 38, 274, 38, false, false, TextAlign::LEFT, -1, -1, -99999999, 99999999, false);
	wMTextArea6->setMainStyle(7, 0xffffff, 0xffffff, 0, 2, 0xc0c0c0, 4, 0, 4, 4, 255);
	wMTextArea6->setPlaceholderText("")->setMaxLength(0)->setAcceptedChars("")->setImeMode(IME::NA);
	wMTextArea6->setFont(0x0, 16, "文泉驿微米黑", 0);

	/*----------------------------- MButton : wMMButton44                -----------------------------*/
	wMMButton44 = new STTButton(p_rt, this, "wMMButton44", 1);
	wMMButton44->setMainArg(11, 83, 40, 56, false);
	wMMButton44->enStateLabel();
	wMMButton44->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton44->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton44->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton44->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton44->setImg("1", "./images/img17635440133840_40X56R0.png", "q");
	wMMButton44->setImg("0", "", "q");

	/*----------------------------- MButton : wMMButton45                -----------------------------*/
	wMMButton45 = new STTButton(p_rt, this, "wMMButton45", 1);
	wMMButton45->setMainArg(10, 147, 40, 54, false);
	wMMButton45->setImg("1", "./images/img17635444845370_40X54R0.png", "");
	wMMButton45->setImg("0", "", "");

	/*----------------------------- MLight : wMMLight1                   -----------------------------*/
	wMMLight1 = new STTButton(p_rt, this, "wMMLight1", 3);
	wMMLight1->setMainArg(10, 210, 40, 54, false);
	wMMLight1->enStateLabel();
	wMMLight1->getStateLabel()->setMainArg(10, 13, 20, 27, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMLight1->getStateLabel()->setFonts(0x0, 20, "文泉驿微米黑", 0);
	wMMLight1->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMLight1->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMLight1->setImg("2", "./images/lamp_0_40X54.gray.svg", "中");
	wMMLight1->setImg("1", "./images/lamp_0_40X54.gray.svg", "123");
	wMMLight1->setImg("0", "./images/lamp_0_40X54.svg", "abc");

	/*----------------------------- TextArea : wMTextArea7               -----------------------------*/
	wMTextArea7 = new STTTextArea(p_rt, this, "wMTextArea7");
	wMTextArea7->setMainArg(1, 0, 58, 28, false, false, TextAlign::LEFT, -1, -1, -99999999, 99999999, false);
	wMTextArea7->setMainStyle(7, 0xffffff, 0xffffff, 0, 2, 0xc0c0c0, 4, 0, 4, 4, 0);
	wMTextArea7->setPlaceholderText("")->setMaxLength(0)->setAcceptedChars("")->setImeMode(IME::NA);
	wMTextArea7->setFont(0x808080, 16, "文泉驿微米黑", 0);

	/*----------------------------- TextArea : wMTextArea8               -----------------------------*/
	wMTextArea8 = new STTTextArea(p_rt, this, "wMTextArea8");
	wMTextArea8->setMainArg(110, 0, 268, 38, false, false, TextAlign::LEFT, -1, -1, -99999999, 99999999, false);
	wMTextArea8->setMainStyle(7, 0xffffff, 0xffffff, 0, 2, 0xc0c0c0, 4, 0, 4, 4, 255);
	wMTextArea8->setPlaceholderText("")->setMaxLength(24)->setAcceptedChars("")->setImeMode(IME::NA);
	wMTextArea8->setFont(0x0, 24, "文泉驿微米黑", 0);

	/*----------------------------- MButton : wMMButton46                -----------------------------*/
	wMMButton46 = new STTButton(p_rt, this, "wMMButton46", 1);
	wMMButton46->setMainArg(57, 146, 40, 56, false);
	wMMButton46->enStateLabel();
	wMMButton46->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton46->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton46->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton46->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton46->setImg("1", "./images/img17635440133840_40X56R0.png", "a");
	wMMButton46->setImg("0", "", "a");

	/*----------------------------- MButton : wMMButton47                -----------------------------*/
	wMMButton47 = new STTButton(p_rt, this, "wMMButton47", 1);
	wMMButton47->setMainArg(383, 40, 86, 38, false);
	wMMButton47->enStateLabel();
	wMMButton47->getStateLabel()->setMainArg(21, 9, 43, 19, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton47->getStateLabel()->setFonts(0xffffff, 18, "文泉驿微米黑", 0);
	wMMButton47->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton47->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton47->setImg("1", "./images/img17635440133840_86X38R0.png", "Enter ");
	wMMButton47->setImg("0", "", "Enter  ");

	/*----------------------------- MButton : wMMButton48                -----------------------------*/
	wMMButton48 = new STTButton(p_rt, this, "wMMButton48", 1);
	wMMButton48->setMainArg(290, 40, 86, 38, false);
	wMMButton48->enStateLabel();
	wMMButton48->getStateLabel()->setMainArg(21, 9, 43, 19, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton48->getStateLabel()->setFonts(0x0, 18, "文泉驿微米黑", 0);
	wMMButton48->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton48->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton48->setImg("1", "./images/img17635440133840_86X38R0.png", "Del   ");
	wMMButton48->setImg("0", "", "Del   ");

	/*----------------------------- MButton : wMMButton49                -----------------------------*/
	wMMButton49 = new STTButton(p_rt, this, "wMMButton49", 1);
	wMMButton49->setMainArg(104, 82, 40, 56, false);
	wMMButton49->enStateLabel();
	wMMButton49->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton49->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton49->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton49->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton49->setImg("1", "./images/img17635440133840_40X56R0.png", "e");
	wMMButton49->setImg("0", "", "e");

	/*----------------------------- MButton : wMMButton50                -----------------------------*/
	wMMButton50 = new STTButton(p_rt, this, "wMMButton50", 1);
	wMMButton50->setMainArg(424, 0, 56, 28, false);
	wMMButton50->setImg("1", "./images/img17635440133840_56X28R0.png", "w");
	wMMButton50->setImg("0", "", "w");

	/*----------------------------- MButton : wMMButton52                -----------------------------*/
	wMMButton52 = new STTButton(p_rt, this, "wMMButton52", 1);
	wMMButton52->setMainArg(150, 82, 40, 56, false);
	wMMButton52->enStateLabel();
	wMMButton52->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton52->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton52->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton52->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton52->setImg("1", "./images/img17635440133840_40X56R0.png", "r");
	wMMButton52->setImg("0", "", "r");

	/*----------------------------- MButton : wMMButton53                -----------------------------*/
	wMMButton53 = new STTButton(p_rt, this, "wMMButton53", 1);
	wMMButton53->setMainArg(197, 83, 40, 56, false);
	wMMButton53->enStateLabel();
	wMMButton53->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton53->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton53->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton53->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton53->setImg("1", "./images/img17635440133840_40X56R0.png", "t");
	wMMButton53->setImg("0", "", "t");

	/*----------------------------- MButton : wMMButton54                -----------------------------*/
	wMMButton54 = new STTButton(p_rt, this, "wMMButton54", 1);
	wMMButton54->setMainArg(244, 84, 40, 56, false);
	wMMButton54->enStateLabel();
	wMMButton54->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton54->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton54->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton54->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton54->setImg("1", "./images/img17635440133840_40X56R0.png", "y");
	wMMButton54->setImg("0", "", "y");

	/*----------------------------- MButton : wMMButton55                -----------------------------*/
	wMMButton55 = new STTButton(p_rt, this, "wMMButton55", 1);
	wMMButton55->setMainArg(290, 82, 40, 56, false);
	wMMButton55->enStateLabel();
	wMMButton55->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton55->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton55->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton55->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton55->setImg("1", "./images/img17635440133840_40X56R0.png", "u");
	wMMButton55->setImg("0", "", "u");

	/*----------------------------- MButton : wMMButton56                -----------------------------*/
	wMMButton56 = new STTButton(p_rt, this, "wMMButton56", 1);
	wMMButton56->setMainArg(337, 82, 40, 56, false);
	wMMButton56->enStateLabel();
	wMMButton56->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton56->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton56->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton56->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton56->setImg("1", "./images/img17635440133840_40X56R0.png", "i");
	wMMButton56->setImg("0", "", "i");

	/*----------------------------- MButton : wMMButton57                -----------------------------*/
	wMMButton57 = new STTButton(p_rt, this, "wMMButton57", 1);
	wMMButton57->setMainArg(383, 83, 40, 56, false);
	wMMButton57->enStateLabel();
	wMMButton57->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton57->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton57->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton57->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton57->setImg("1", "./images/img17635440133840_40X56R0.png", "o");
	wMMButton57->setImg("0", "", "o");

	/*----------------------------- MButton : wMMButton58                -----------------------------*/
	wMMButton58 = new STTButton(p_rt, this, "wMMButton58", 1);
	wMMButton58->setMainArg(429, 82, 40, 56, false);
	wMMButton58->enStateLabel();
	wMMButton58->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton58->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton58->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton58->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton58->setImg("1", "./images/img17635440133840_40X56R0.png", "p");
	wMMButton58->setImg("0", "", "p");

	/*----------------------------- MButton : wMMButton59                -----------------------------*/
	wMMButton59 = new STTButton(p_rt, this, "wMMButton59", 1);
	wMMButton59->setMainArg(104, 146, 40, 56, false);
	wMMButton59->enStateLabel();
	wMMButton59->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton59->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton59->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton59->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton59->setImg("1", "./images/img17635440133840_40X56R0.png", "s");
	wMMButton59->setImg("0", "", "s");

	/*----------------------------- MButton : wMMButton60                -----------------------------*/
	wMMButton60 = new STTButton(p_rt, this, "wMMButton60", 1);
	wMMButton60->setMainArg(150, 146, 40, 56, false);
	wMMButton60->enStateLabel();
	wMMButton60->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton60->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton60->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton60->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton60->setImg("1", "./images/img17635440133840_40X56R0.png", "d");
	wMMButton60->setImg("0", "", "d");

	/*----------------------------- MButton : wMMButton61                -----------------------------*/
	wMMButton61 = new STTButton(p_rt, this, "wMMButton61", 1);
	wMMButton61->setMainArg(197, 146, 40, 56, false);
	wMMButton61->enStateLabel();
	wMMButton61->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton61->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton61->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton61->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton61->setImg("1", "./images/img17635440133840_40X56R0.png", "f");
	wMMButton61->setImg("0", "", "f");

	/*----------------------------- MButton : wMMButton62                -----------------------------*/
	wMMButton62 = new STTButton(p_rt, this, "wMMButton62", 1);
	wMMButton62->setMainArg(244, 146, 40, 56, false);
	wMMButton62->enStateLabel();
	wMMButton62->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton62->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton62->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton62->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton62->setImg("1", "./images/img17635440133840_40X56R0.png", "g");
	wMMButton62->setImg("0", "", "g");

	/*----------------------------- MButton : wMMButton63                -----------------------------*/
	wMMButton63 = new STTButton(p_rt, this, "wMMButton63", 1);
	wMMButton63->setMainArg(290, 146, 40, 56, false);
	wMMButton63->enStateLabel();
	wMMButton63->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton63->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton63->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton63->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton63->setImg("1", "./images/img17635440133840_40X56R0.png", "h");
	wMMButton63->setImg("0", "", "h");

	/*----------------------------- MButton : wMMButton64                -----------------------------*/
	wMMButton64 = new STTButton(p_rt, this, "wMMButton64", 1);
	wMMButton64->setMainArg(337, 146, 40, 56, false);
	wMMButton64->enStateLabel();
	wMMButton64->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton64->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton64->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton64->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton64->setImg("1", "./images/img17635440133840_40X56R0.png", "j");
	wMMButton64->setImg("0", "", "j");

	/*----------------------------- MButton : wMMButton65                -----------------------------*/
	wMMButton65 = new STTButton(p_rt, this, "wMMButton65", 1);
	wMMButton65->setMainArg(383, 146, 40, 56, false);
	wMMButton65->enStateLabel();
	wMMButton65->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton65->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton65->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton65->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton65->setImg("1", "./images/img17635440133840_40X56R0.png", "k");
	wMMButton65->setImg("0", "", "k");

	/*----------------------------- MButton : wMMButton66                -----------------------------*/
	wMMButton66 = new STTButton(p_rt, this, "wMMButton66", 1);
	wMMButton66->setMainArg(429, 146, 40, 56, false);
	wMMButton66->enStateLabel();
	wMMButton66->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton66->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton66->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton66->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton66->setImg("1", "./images/img17635440133840_40X56R0.png", "l");
	wMMButton66->setImg("0", "", "l");

	/*----------------------------- MButton : wMMButton67                -----------------------------*/
	wMMButton67 = new STTButton(p_rt, this, "wMMButton67", 1);
	wMMButton67->setMainArg(57, 209, 40, 56, false);
	wMMButton67->enStateLabel();
	wMMButton67->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton67->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton67->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton67->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton67->setImg("1", "./images/img17635440133840_40X56R0.png", "z");
	wMMButton67->setImg("0", "", "z");

	/*----------------------------- MButton : wMMButton68                -----------------------------*/
	wMMButton68 = new STTButton(p_rt, this, "wMMButton68", 1);
	wMMButton68->setMainArg(104, 209, 40, 56, false);
	wMMButton68->enStateLabel();
	wMMButton68->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton68->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton68->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton68->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton68->setImg("1", "./images/img17635440133840_40X56R0.png", "x");
	wMMButton68->setImg("0", "", "x");

	/*----------------------------- MButton : wMMButton69                -----------------------------*/
	wMMButton69 = new STTButton(p_rt, this, "wMMButton69", 1);
	wMMButton69->setMainArg(150, 208, 40, 56, false);
	wMMButton69->enStateLabel();
	wMMButton69->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton69->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton69->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton69->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton69->setImg("1", "./images/img17635440133840_40X56R0.png", "c");
	wMMButton69->setImg("0", "", "c");

	/*----------------------------- MButton : wMMButton70                -----------------------------*/
	wMMButton70 = new STTButton(p_rt, this, "wMMButton70", 1);
	wMMButton70->setMainArg(197, 209, 40, 56, false);
	wMMButton70->enStateLabel();
	wMMButton70->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton70->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton70->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton70->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton70->setImg("1", "./images/img17635440133840_40X56R0.png", "v");
	wMMButton70->setImg("0", "", "v");

	/*----------------------------- MButton : wMMButton71                -----------------------------*/
	wMMButton71 = new STTButton(p_rt, this, "wMMButton71", 1);
	wMMButton71->setMainArg(244, 209, 40, 56, false);
	wMMButton71->enStateLabel();
	wMMButton71->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton71->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton71->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton71->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton71->setImg("1", "./images/img17635440133840_40X56R0.png", "b");
	wMMButton71->setImg("0", "", "b");

	/*----------------------------- MButton : wMMButton72                -----------------------------*/
	wMMButton72 = new STTButton(p_rt, this, "wMMButton72", 1);
	wMMButton72->setMainArg(290, 209, 40, 56, false);
	wMMButton72->enStateLabel();
	wMMButton72->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton72->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton72->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton72->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton72->setImg("1", "./images/img17635440133840_40X56R0.png", "n");
	wMMButton72->setImg("0", "", "n");

	/*----------------------------- MButton : wMMButton74                -----------------------------*/
	wMMButton74 = new STTButton(p_rt, this, "wMMButton74", 1);
	wMMButton74->setMainArg(383, 209, 40, 56, false);
	wMMButton74->enStateLabel();
	wMMButton74->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton74->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton74->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton74->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton74->setImg("1", "./images/img17635440133840_40X56R0.png", ".");
	wMMButton74->setImg("0", "", ".");

	/*----------------------------- MButton : wMMButton75                -----------------------------*/
	wMMButton75 = new STTButton(p_rt, this, "wMMButton75", 1);
	wMMButton75->setMainArg(429, 209, 40, 56, false);
	wMMButton75->enStateLabel();
	wMMButton75->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton75->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton75->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton75->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton75->setImg("1", "./images/img17635440133840_40X56R0.png", " ");
	wMMButton75->setImg("0", "", " ");

	/*----------------------------- MButton : wMMButton76                -----------------------------*/
	wMMButton76 = new STTButton(p_rt, this, "wMMButton76", 1);
	wMMButton76->setMainArg(383, 1, 30, 36, false);
	wMMButton76->enStateLabel();
	wMMButton76->getStateLabel()->setMainArg(5, 4, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton76->getStateLabel()->setFonts(0xffffff, 24, "文泉驿微米黑", 0);
	wMMButton76->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton76->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton76->setImg("1", "./images/img17635440133840_30X36R0.png", ">>");
	wMMButton76->setImg("0", "", ">>");

	/*----------------------------- MButton : wMMButton77                -----------------------------*/
	wMMButton77 = new STTButton(p_rt, this, "wMMButton77", 1);
	wMMButton77->setMainArg(80, 0, 30, 36, false);
	wMMButton77->enStateLabel();
	wMMButton77->getStateLabel()->setMainArg(5, 4, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton77->getStateLabel()->setFonts(0xffffff, 24, "文泉驿微米黑", 0);
	wMMButton77->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton77->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton77->setImg("1", "./images/img17635440133840_30X36R0.png", "<<");
	wMMButton77->setImg("0", "", "<<");

	/*----------------------------- MButton : wMMButton78                -----------------------------*/
	wMMButton78 = new STTButton(p_rt, this, "wMMButton78", 1);
	wMMButton78->setMainArg(337, 209, 40, 56, false);
	wMMButton78->enStateLabel();
	wMMButton78->getStateLabel()->setMainArg(10, 14, 20, 28, "", TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton78->getStateLabel()->setFonts(0x0, 24, "文泉驿微米黑", 0);
	wMMButton78->getStateLabel()->setMainStyle(0, 0xffffff, 0xffffff, GradDir::NONE, 0, 0x0, 0);
	wMMButton78->getStateLabel()->setFormatText(TextAlign::CENTER, LabelLongMode::WRAP, 30);
	wMMButton78->setImg("1", "./images/img17635440133840_40X56R0.png", "n");
	wMMButton78->setImg("0", "", "n");

	/*called after widget created.*/

	return; //createParts END
}

void IME28::onLoad() {

}

bool IME28::onClosing() {
	return true;
}

void IME28::onDispose() {

}

void IME28::wMButton1_clk_cb(uint16_t code, LvEvent e) {
	/*wMButton1（0）的点击事件*/
	NumPad::sendCode(NumPad::KEY_0);
}

void IME28::wMButton2_clk_cb(uint16_t code, LvEvent e) {
	/*wMButton2（1）的点击事件*/
	NumPad::sendCode(NumPad::KEY_1);
}

void IME28::wMButton3_clk_cb(uint16_t code, LvEvent e) {
	/*wMButton3（2）的点击事件*/
	NumPad::sendCode(NumPad::KEY_2);
}

void IME28::wMButton4_clk_cb(uint16_t code, LvEvent e) {
	/*wMButton4（3）的点击事件*/
	NumPad::sendCode(NumPad::KEY_3);
}

void IME28::wMButton5_clk_cb(uint16_t code, LvEvent e) {
	/*wMButton5（4）的点击事件*/
	NumPad::sendCode(NumPad::KEY_4);
}

void IME28::wMButton6_clk_cb(uint16_t code, LvEvent e) {
	/*wMButton6（5）的点击事件*/
	NumPad::sendCode(NumPad::KEY_5);
}

void IME28::wMButton7_clk_cb(uint16_t code, LvEvent e) {
	/*wMButton7（6）的点击事件*/
	NumPad::sendCode(NumPad::KEY_6);
}

void IME28::wMButton8_clk_cb(uint16_t code, LvEvent e) {
	/*wMButton8（7）的点击事件*/
	NumPad::sendCode(NumPad::KEY_7);
}

void IME28::wMButton9_clk_cb(uint16_t code, LvEvent e) {
	/*wMButton9（8）的点击事件*/
	NumPad::sendCode(NumPad::KEY_8);
}

void IME28::wMButton10_clk_cb(uint16_t code, LvEvent e) {
	/*wMButton10（9）的点击事件*/
	NumPad::sendCode(NumPad::KEY_9);
}

void IME28::wMButton11_clk_cb(uint16_t code, LvEvent e) {
	/*wMButton11（+/-）的点击事件*/
	NumPad::sendCode(NumPad::KEY_SIGN);
}

void IME28::wMButton12_clk_cb(uint16_t code, LvEvent e) {
	/*wMButton12（.）的点击事件*/
	NumPad::sendCode(NumPad::KEY_Point);
}

void IME28::wMButton20_clk_cb(uint16_t code, LvEvent e) {
	/*wMButton20（DEL）的点击事件*/
	NumPad::sendCode(NumPad::KEY_BACK);
}

void IME28::wMButton21_clk_cb(uint16_t code, LvEvent e) {
	/*wMButton21（确定）的点击事件*/
	NumPad::sendCode(NumPad::KEY_ENTER);
}

void IME28::wMButton22_clk_cb(uint16_t code, LvEvent e) {
	/*wMButton22（取消）的点击事件*/
	NumPad::sendCode(NumPad::KEY_CANCEL);
}
